> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 평가 생성



## OpenAPI

````yaml ko/openapi/model-distillation/management.openapi.yaml POST /evals
openapi: 3.1.0
info:
  title: CoreWeave Model Distillation Management API
  version: 1.0.0
  description: |
    공급자, 프로젝트 (API 경로에서는 tasks라고 함), 라우팅 버전,
    데이터셋, 레이블 재지정, 미세 조정 모델, 평가, 분석을 관리하세요. 이 API는
    Model Distillation에서 사용하는 API와 동일합니다.
servers:
  - url: https://distillation.training.wandb.ai/v1
    description: 프로덕션
security:
  - WandbCredential: []
tags:
  - name: Providers
    description: OpenAI 호환 엔드포인트, 인증 정보, 모델 카탈로그 및 가격.
  - name: Tasks
    description: 안정적인 작업 ID와 작업 수준 정보입니다.
  - name: Routing
    description: 버전이 지정된 모델 대상, 가중치, 요청 매개변수.
  - name: Datasets
    description: 재현 가능한 데이터 스냅샷, 항목, 레이블 재지정, 재사용 가능한 모델 출력.
  - name: Fine-tunes
    description: 지도 파인튜닝 작업 및 호스팅된 모델 아티팩트.
  - name: Evaluations
    description: 직접 비교, 완전 일치, 범주화 평가.
  - name: Analytics
    description: 작업 트래픽, 토큰, 오류, 예상 비용 조회 모델.
  - name: UI preferences
    description: UI에서 사용하는 작업별 표시 기본 설정.
paths:
  /evals:
    parameters:
      - $ref: '#/components/parameters/WandbEntity'
    post:
      tags:
        - Evaluations
      summary: 평가 생성
      operationId: createEval
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 128
                  description: >-
                    짧고 한눈에 파악하기 쉬운 평가 이름입니다. 2-5개 단어를 권장하며, 데이터셋 이름, 비교 대상 모델 전체
                    또는 설정 세부 정보는 포함하지 마세요.
                dataset_id:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                spec:
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          const: h2h_judge
                        judge_model_ref:
                          type: string
                          pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                        judge_prompt:
                          default: >-
                            You are an intelligent and fair judge of chatbots.
                            Evaluate the following two responses and choose
                            which one is better. If the outputs are of similar
                            quality, you can mark them as a tie.
                          type: string
                          minLength: 1
                        reference_conversation_count:
                          default: 0
                          type: integer
                          minimum: 0
                          maximum: 50
                      required:
                        - type
                        - judge_model_ref
                      additionalProperties: false
                    - type: object
                      additionalProperties: false
                      required:
                        - type
                      properties:
                        type:
                          type: string
                          const: exact_match
                    - type: object
                      additionalProperties: false
                      required:
                        - type
                        - field
                      properties:
                        type:
                          type: string
                          const: categorization
                        field:
                          type: string
                          minLength: 1
                          maxLength: 256
                participants:
                  minItems: 1
                  type: array
                  items:
                    anyOf:
                      - oneOf:
                          - type: object
                            additionalProperties: false
                            required:
                              - kind
                            properties:
                              kind:
                                type: string
                                const: original
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: relabel
                              relabel_run_id:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            required:
                              - kind
                              - relabel_run_id
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: model
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: provider
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                      - oneOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: model
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                          - type: object
                            properties:
                              kind:
                                type: string
                                const: provider
                              model_ref:
                                type: string
                                pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                            required:
                              - kind
                              - model_ref
                            additionalProperties: false
                reference:
                  oneOf:
                    - type: object
                      additionalProperties: false
                      required:
                        - kind
                      properties:
                        kind:
                          type: string
                          const: original
                    - type: object
                      properties:
                        kind:
                          type: string
                          const: model
                        model_ref:
                          type: string
                          pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                      required:
                        - kind
                        - model_ref
                      additionalProperties: false
                    - type: object
                      properties:
                        kind:
                          type: string
                          const: provider
                        model_ref:
                          type: string
                          pattern: ^[a-z0-9][a-z0-9_-]{0,63}\/\S+$
                      required:
                        - kind
                        - model_ref
                      additionalProperties: false
                sample_size:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 9007199254740991
              required:
                - name
                - dataset_id
                - spec
                - participants
                - sample_size
              additionalProperties: false
      responses:
        '202':
          description: 평가 사례가 큐에 추가되었습니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Eval'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    WandbEntity:
      name: Wandb-Entity
      in: header
      required: false
      description: 액세스 가능한 개인 또는 팀 entity. 인증된 사용자의 기본 entity를 사용하려면 생략하세요.
      schema:
        type: string
  schemas:
    Eval:
      type: object
      additionalProperties: true
      required:
        - id
        - dataset_id
        - name
        - spec
        - participants
        - sample_size
        - status
        - progress
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        dataset_id:
          type: string
          format: uuid
        name:
          type: string
        spec:
          $ref: '#/components/schemas/EvalSpec'
        participants:
          type: array
          items:
            $ref: '#/components/schemas/EvalParticipant'
        reference:
          oneOf:
            - $ref: '#/components/schemas/EvalParticipant'
            - type: 'null'
        sample_size:
          type: integer
        status:
          type: string
          enum:
            - queued
            - running
            - completed
            - failed
            - stale
        progress:
          type: object
          required:
            - total
            - queued
            - running
            - completed
            - failed
          properties:
            total:
              type: integer
            queued:
              type: integer
            running:
              type: integer
            completed:
              type: integer
            failed:
              type: integer
        results:
          oneOf:
            - $ref: '#/components/schemas/JsonObject'
            - type: 'null'
        failure_summary:
          type: object
          additionalProperties: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    EvalSpec:
      oneOf:
        - type: object
          additionalProperties: false
          required:
            - type
            - judge_model_ref
          properties:
            type:
              type: string
              const: h2h_judge
            judge_model_ref:
              $ref: '#/components/schemas/ModelRef'
            judge_prompt:
              type: string
              minLength: 1
        - type: object
          additionalProperties: false
          required:
            - type
          properties:
            type:
              type: string
              const: exact_match
        - type: object
          additionalProperties: false
          required:
            - type
            - field
          properties:
            type:
              type: string
              const: categorization
            field:
              type: string
              minLength: 1
              maxLength: 256
    EvalParticipant:
      oneOf:
        - type: object
          additionalProperties: false
          required:
            - kind
          properties:
            kind:
              type: string
              const: original
        - type: object
          additionalProperties: false
          required:
            - kind
            - relabel_run_id
          properties:
            kind:
              type: string
              const: relabel
            relabel_run_id:
              type: string
              format: uuid
        - type: object
          additionalProperties: false
          required:
            - kind
            - model_ref
          properties:
            kind:
              type: string
              enum:
                - model
                - provider
            model_ref:
              $ref: '#/components/schemas/ModelRef'
    JsonObject:
      type: object
      additionalProperties: true
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
            type:
              type: string
      example:
        error:
          message: Task 'missing' not found in entity 'your-team'
          type: not_found
    ModelRef:
      type: string
      pattern: ^[a-z0-9][a-z0-9_-]{0,63}/\S+$
      example: openai/gpt-5.6-sol
  responses:
    Error:
      description: 요청이 실패했습니다.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    WandbCredential:
      type: http
      scheme: bearer
      bearerFormat: W&B API key
      description: W&B API 키.

````